SettingsService
GetUserSettings
Section titled “GetUserSettings”POST /spin.v1.SettingsService/GetUserSettings
User settings
Request
No fields: {}.
Response
| Field | Type | What it is |
|---|---|---|
settings | UserSettings |
UpdateUserSettings
Section titled “UpdateUserSettings”POST /spin.v1.SettingsService/UpdateUserSettings
Request
| Field | Type | What it is |
|---|---|---|
dotfiles | DotfilesConfig | |
startupTaskfile | string | |
defaultShell | string | |
editorSettings | map of string to string | |
defaultEnv | map of string to string |
Response
| Field | Type | What it is |
|---|---|---|
settings | UserSettings |
ValidateTaskfile
Section titled “ValidateTaskfile”POST /spin.v1.SettingsService/ValidateTaskfile
Validate Taskfile syntax
Request
| Field | Type | What it is |
|---|---|---|
taskfileContent | string |
Response
| Field | Type | What it is |
|---|---|---|
valid | boolean | |
errors | list of string | |
taskNames | list of string | List of defined tasks |
Generated by task reference from spin/internal/controlplane/apidocs/spin.v1.openapi.json at 8eee32b9d.
Documents Spinbox v20261019.02. This page as Markdown, for a model or a terminal.

